import type { ColorOptions } from "./colorOptions";
export declare function getColorDecisionsHex(params: {
    colorOptions: ColorOptions<"hex">;
}): {
    readonly background: {
        readonly default: {
            readonly grey: {
                readonly default: "#161616" | "#ffffff";
                readonly hover: "#343434" | "#f6f6f6";
                readonly active: "#474747" | "#ededed";
            };
        };
        readonly alt: {
            readonly grey: {
                readonly default: "#f6f6f6" | "#1e1e1e";
                readonly hover: "#3f3f3f" | "#dfdfdf";
                readonly active: "#525252" | "#cfcfcf";
            };
            readonly blueFrance: {
                readonly default: "#1b1b35" | "#f5f5fe";
                readonly hover: "#3a3a68" | "#dcdcfc";
                readonly active: "#4d4d83" | "#cbcbfa";
            };
            readonly redMarianne: {
                readonly default: "#2b1919" | "#fef4f4";
                readonly hover: "#573737" | "#fcd7d7";
                readonly active: "#704848" | "#fac4c4";
            };
            readonly greenTilleulVerveine: {
                readonly default: "#201e14" | "#fef7da";
                readonly hover: "#433f2e" | "#fce552";
                readonly active: "#57533d" | "#ebd54c";
            };
            readonly greenBourgeon: {
                readonly default: "#182014" | "#e6feda";
                readonly hover: "#35432e" | "#a7fc62";
                readonly active: "#46573d" | "#98ed4d";
            };
            readonly greenEmeraude: {
                readonly default: "#142018" | "#e3fdeb";
                readonly hover: "#2e4335" | "#94f9b9";
                readonly active: "#3d5846" | "#6df1a3";
            };
            readonly greenMenthe: {
                readonly default: "#15201e" | "#dffdf7";
                readonly hover: "#30433f" | "#84f9e7";
                readonly active: "#3f5753" | "#70ebd8";
            };
            readonly greenArchipel: {
                readonly default: "#152021" | "#e5fbfd";
                readonly hover: "#2f4345" | "#99f2f8";
                readonly active: "#3f5759" | "#73e9f0";
            };
            readonly blueEcume: {
                readonly default: "#171d2f" | "#f4f6fe";
                readonly hover: "#333e5e" | "#d7dffb";
                readonly active: "#445179" | "#c3cffa";
            };
            readonly blueCumulus: {
                readonly default: "#171e2b" | "#f3f6fe";
                readonly hover: "#333f56" | "#d3dffc";
                readonly active: "#43536f" | "#bed0fa";
            };
            readonly purpleGlycine: {
                readonly default: "#251a24" | "#fef3fd";
                readonly hover: "#4c394a" | "#fcd4f8";
                readonly active: "#634a60" | "#fabff5";
            };
            readonly pinkMacaron: {
                readonly default: "#261b19" | "#fef4f2";
                readonly hover: "#4e3a37" | "#fcd8d0";
                readonly active: "#654c48" | "#fac5b8";
            };
            readonly pinkTuile: {
                readonly default: "#281b19" | "#fef4f3";
                readonly hover: "#513a37" | "#fcd7d3";
                readonly active: "#694c48" | "#fac4be";
            };
            readonly yellowTournesol: {
                readonly default: "#221d11" | "#fef6e3";
                readonly hover: "#473e29" | "#fce086";
                readonly active: "#5c5136" | "#f5d24b";
            };
            readonly yellowMoutarde: {
                readonly default: "#231d14" | "#fef5e8";
                readonly hover: "#483e2e" | "#fcdca3";
                readonly active: "#5e513d" | "#fbcd64";
            };
            readonly orangeTerreBattue: {
                readonly default: "#fef4f2" | "#281a16";
                readonly hover: "#fcd8d0" | "#513932";
                readonly active: "#fac5b8" | "#6a4b42";
            };
            readonly brownCafeCreme: {
                readonly default: "#211d16" | "#fbf6ed";
                readonly hover: "#453e31" | "#f2deb6";
                readonly active: "#5a5141" | "#eacf91";
            };
            readonly brownCaramel: {
                readonly default: "#251c16" | "#fbf5f2";
                readonly hover: "#4c3c31" | "#f1dbcf";
                readonly active: "#624e41" | "#ecc9b5";
            };
            readonly brownOpera: {
                readonly default: "#fbf5f2" | "#241c17";
                readonly hover: "#f1dbcf" | "#4a3c33";
                readonly active: "#ecc9b5" | "#604f44";
            };
            readonly beigeGrisGalet: {
                readonly default: "#211d19" | "#f9f6f2";
                readonly hover: "#453e37" | "#eadecd";
                readonly active: "#595148" | "#e1ceb1";
            };
        };
        readonly contrast: {
            readonly grey: {
                readonly default: "#242424" | "#eeeeee";
                readonly hover: "#474747" | "#d2d2d2";
                readonly active: "#5b5b5b" | "#c1c1c1";
            };
            readonly blueFrance: {
                readonly default: "#21213f" | "#ececfe";
                readonly hover: "#424275" | "#cecefc";
                readonly active: "#56568c" | "#bbbbfc";
            };
            readonly redMarianne: {
                readonly default: "#331f1f" | "#fee9e9";
                readonly hover: "#613f3f" | "#fdc5c5";
                readonly active: "#7b5151" | "#fcafaf";
            };
            readonly greenTilleulVerveine: {
                readonly default: "#272419" | "#fceeac";
                readonly hover: "#4c4734" | "#e8d45c";
                readonly active: "#615b44" | "#d4c254";
            };
            readonly greenBourgeon: {
                readonly default: "#1e2719" | "#c9fcac";
                readonly hover: "#3d4c34" | "#9ae95d";
                readonly active: "#4e6144" | "#8dd555";
            };
            readonly greenEmeraude: {
                readonly default: "#19271e" | "#c3fad5";
                readonly hover: "#344c3d" | "#77eda5";
                readonly active: "#44624f" | "#6dd897";
            };
            readonly greenMenthe: {
                readonly default: "#1a2624" | "#bafaee";
                readonly hover: "#364b47" | "#79e7d5";
                readonly active: "#46605b" | "#6fd3c3";
            };
            readonly greenArchipel: {
                readonly default: "#1a2628" | "#c7f6fc";
                readonly hover: "#364a4e" | "#64ecf8";
                readonly active: "#465f63" | "#5bd8e3";
            };
            readonly blueEcume: {
                readonly default: "#1d2437" | "#e9edfe";
                readonly hover: "#3b4767" | "#c5d0fc";
                readonly active: "#4c5b83" | "#adbffc";
            };
            readonly blueCumulus: {
                readonly default: "#1c2433" | "#e6eefe";
                readonly hover: "#3a4761" | "#bcd3fc";
                readonly active: "#4a5b7b" | "#9fc3fc";
            };
            readonly purpleGlycine: {
                readonly default: "#2c202b" | "#fee7fc";
                readonly hover: "#554053" | "#fdc0f8";
                readonly active: "#6c536a" | "#fca8f6";
            };
            readonly pinkMacaron: {
                readonly default: "#2e211f" | "#fee9e6";
                readonly hover: "#58423f" | "#fdc6bd";
                readonly active: "#705551" | "#fcb0a2";
            };
            readonly pinkTuile: {
                readonly default: "#2f211f" | "#fee9e7";
                readonly hover: "#5a423e" | "#fdc6c0";
                readonly active: "#725550" | "#fcb0a7";
            };
            readonly yellowTournesol: {
                readonly default: "#292416" | "#feecc2";
                readonly hover: "#4f472f" | "#fbd335";
                readonly active: "#655b3d" | "#e6c130";
            };
            readonly yellowMoutarde: {
                readonly default: "#2a2319" | "#feebd0";
                readonly hover: "#514534" | "#fdcd6d";
                readonly active: "#685944" | "#f4be30";
            };
            readonly orangeTerreBattue: {
                readonly default: "#31201c" | "#fee9e5";
                readonly hover: "#5d403a" | "#fdc6ba";
                readonly active: "#77534a" | "#fcb09e";
            };
            readonly brownCafeCreme: {
                readonly default: "#28241c" | "#f7ecdb";
                readonly hover: "#4e4739" | "#edce94";
                readonly active: "#635b4a" | "#dabd84";
            };
            readonly brownCaramel: {
                readonly default: "#2c221c" | "#f7ebe5";
                readonly hover: "#554439" | "#eccbb9";
                readonly active: "#6c574a" | "#e6b79a";
            };
            readonly brownOpera: {
                readonly default: "#2b221c" | "#f7ece4";
                readonly hover: "#53443a" | "#eccdb3";
                readonly active: "#6a574a" | "#e6ba90";
            };
            readonly beigeGrisGalet: {
                readonly default: "#28231f" | "#f3ede5";
                readonly hover: "#4e453f" | "#e1d0b5";
                readonly active: "#635950" | "#d1bea2";
            };
            readonly info: {
                readonly default: "#1d2437" | "#e8edff";
                readonly hover: "#3b4767" | "#c2d1ff";
                readonly active: "#4c5b83" | "#a9bfff";
            };
            readonly success: {
                readonly default: "#19271d" | "#b8fec9";
                readonly hover: "#344c3b" | "#46fd89";
                readonly active: "#44624d" | "#34eb7b";
            };
            readonly warning: {
                readonly default: "#361e19" | "#ffe9e6";
                readonly hover: "#663d35" | "#ffc6bd";
                readonly active: "#824f44" | "#ffb0a2";
            };
            readonly error: {
                readonly default: "#391c1c" | "#ffe9e9";
                readonly hover: "#6c3a3a" | "#ffc5c5";
                readonly active: "#894b4b" | "#ffafaf";
            };
        };
        readonly flat: {
            readonly grey: {
                readonly default: "#cecece" | "#3a3a3a";
            };
            readonly blueFrance: {
                readonly default: "#8585f6" | "#000091";
            };
            readonly redMarianne: {
                readonly default: "#f95c5e" | "#c9191e";
            };
            readonly greenTilleulVerveine: {
                readonly default: "#d8c634" | "#66673d";
            };
            readonly greenBourgeon: {
                readonly default: "#99c221" | "#447049";
            };
            readonly greenEmeraude: {
                readonly default: "#34cb6a" | "#297254";
            };
            readonly greenMenthe: {
                readonly default: "#21ab8e" | "#37635f";
            };
            readonly greenArchipel: {
                readonly default: "#34bab5" | "#006a6f";
            };
            readonly blueEcume: {
                readonly default: "#869ece" | "#2f4077";
            };
            readonly blueCumulus: {
                readonly default: "#7ab1e8" | "#3558a2";
            };
            readonly purpleGlycine: {
                readonly default: "#ce70cc" | "#6e445a";
            };
            readonly pinkMacaron: {
                readonly default: "#ffb7ae" | "#8d533e";
            };
            readonly pinkTuile: {
                readonly default: "#ff9575" | "#a94645";
            };
            readonly yellowTournesol: {
                readonly default: "#ffe552" | "#716043";
            };
            readonly yellowMoutarde: {
                readonly default: "#ffca00" | "#695240";
            };
            readonly orangeTerreBattue: {
                readonly default: "#ff732c" | "#755348";
            };
            readonly brownCafeCreme: {
                readonly default: "#ecd7a2" | "#685c48";
            };
            readonly brownCaramel: {
                readonly default: "#fbd8ab" | "#845d48";
            };
            readonly brownOpera: {
                readonly default: "#e6be92" | "#745b47";
            };
            readonly beigeGrisGalet: {
                readonly default: "#d0c3b7" | "#6a6156";
            };
            readonly info: {
                readonly default: "#518fff" | "#0063cb";
            };
            readonly success: {
                readonly default: "#27a658" | "#18753c";
            };
            readonly warning: {
                readonly default: "#fc5d00" | "#b34000";
            };
            readonly error: {
                readonly default: "#ff5655" | "#ce0500";
            };
        };
        readonly actionHigh: {
            readonly grey: {
                readonly default: "#cecece" | "#3a3a3a";
                readonly hover: "#a8a8a8" | "#616161";
                readonly active: "#939393" | "#777777";
            };
            readonly blueFrance: {
                readonly default: "#8585f6" | "#000091";
                readonly hover: "#b1b1f9" | "#1212ff";
                readonly active: "#c6c6fb" | "#2323ff";
            };
            readonly redMarianne: {
                readonly default: "#f95c5e" | "#c9191e";
                readonly hover: "#fa9293" | "#f93f42";
                readonly active: "#fbabac" | "#f95a5c";
            };
            readonly greenTilleulVerveine: {
                readonly default: "#d8c634" | "#66673d";
                readonly hover: "#fee943" | "#929359";
                readonly active: "#fef1ab" | "#a7a967";
            };
            readonly greenBourgeon: {
                readonly default: "#99c221" | "#447049";
                readonly hover: "#baec2a" | "#639f6a";
                readonly active: "#c9fd2e" | "#72b77a";
            };
            readonly greenEmeraude: {
                readonly default: "#34cb6a" | "#297254";
                readonly hover: "#42fb84" | "#3ea47a";
                readonly active: "#80fda3" | "#49bc8d";
            };
            readonly greenMenthe: {
                readonly default: "#21ab8e" | "#37635f";
                readonly hover: "#2eddb8" | "#53918c";
                readonly active: "#34f4cc" | "#62a9a2";
            };
            readonly greenArchipel: {
                readonly default: "#34bab5" | "#006a6f";
                readonly hover: "#43e9e2" | "#009fa7";
                readonly active: "#4cfdf6" | "#00bbc3";
            };
            readonly blueEcume: {
                readonly default: "#869ece" | "#2f4077";
                readonly hover: "#b8c5e2" | "#4e68bb";
                readonly active: "#ced6ea" | "#667dcf";
            };
            readonly blueCumulus: {
                readonly default: "#7ab1e8" | "#3558a2";
                readonly hover: "#bad2f2" | "#5982e0";
                readonly active: "#d2e2f6" | "#7996e6";
            };
            readonly purpleGlycine: {
                readonly default: "#ce70cc" | "#6e445a";
                readonly hover: "#dfa4dd" | "#a66989";
                readonly active: "#e7bbe6" | "#bb7f9e";
            };
            readonly pinkMacaron: {
                readonly default: "#ffb7ae" | "#8d533e";
                readonly hover: "#ffe0dc" | "#ca795c";
                readonly active: "#fff0ee" | "#e08e73";
            };
            readonly pinkTuile: {
                readonly default: "#ff9575" | "#a94645";
                readonly hover: "#ffc4b7" | "#d5706f";
                readonly active: "#ffd8d0" | "#da8a89";
            };
            readonly yellowTournesol: {
                readonly default: "#ffe552" | "#716043";
                readonly hover: "#e1c700" | "#a28a62";
                readonly active: "#cab300" | "#ba9f72";
            };
            readonly yellowMoutarde: {
                readonly default: "#ffca00" | "#695240";
                readonly hover: "#cda200" | "#9b7b61";
                readonly active: "#b28c00" | "#b58f72";
            };
            readonly orangeTerreBattue: {
                readonly default: "#ff732c" | "#755348";
                readonly hover: "#ffa48b" | "#ab7b6b";
                readonly active: "#ffbbab" | "#c68f7d";
            };
            readonly brownCafeCreme: {
                readonly default: "#ecd7a2" | "#685c48";
                readonly hover: "#c5b386" | "#97866a";
                readonly active: "#af9f77" | "#ae9b7b";
            };
            readonly brownCaramel: {
                readonly default: "#fbd8ab" | "#845d48";
                readonly hover: "#efb547" | "#bb8568";
                readonly active: "#d6a23e" | "#d69978";
            };
            readonly brownOpera: {
                readonly default: "#e6be92" | "#745b47";
                readonly hover: "#f2e2d3" | "#a78468";
                readonly active: "#f8f0e9" | "#c09979";
            };
            readonly beigeGrisGalet: {
                readonly default: "#d0c3b7" | "#6a6156";
                readonly hover: "#eae5e1" | "#988b7c";
                readonly active: "#f4f2f0" | "#afa08f";
            };
            readonly info: {
                readonly default: "#518fff" | "#0063cb";
                readonly hover: "#98b4ff" | "#3b87ff";
                readonly active: "#b4c7ff" | "#6798ff";
            };
            readonly success: {
                readonly default: "#27a658" | "#18753c";
                readonly hover: "#36d975" | "#27a959";
                readonly active: "#3df183" | "#2fc368";
            };
            readonly warning: {
                readonly default: "#fc5d00" | "#b34000";
                readonly hover: "#ff8c73" | "#ff6218";
                readonly active: "#ffa595" | "#ff7a55";
            };
            readonly error: {
                readonly default: "#ff5655" | "#ce0500";
                readonly hover: "#ff8c8c" | "#ff2725";
                readonly active: "#ffa6a6" | "#ff4140";
            };
        };
        readonly actionLow: {
            readonly blueFrance: {
                readonly default: "#272747" | "#e3e3fd";
                readonly hover: "#4a4a7d" | "#c1c1fb";
                readonly active: "#5e5e90" | "#adadf9";
            };
            readonly redMarianne: {
                readonly default: "#3b2424" | "#fddede";
                readonly hover: "#6b4545" | "#fbb6b6";
                readonly active: "#865757" | "#fa9e9e";
            };
            readonly greenTilleulVerveine: {
                readonly default: "#2d2a1d" | "#fbe769";
                readonly hover: "#534f39" | "#d7c655";
                readonly active: "#696349" | "#c2b24c";
            };
            readonly greenBourgeon: {
                readonly default: "#232d1d" | "#a9fb68";
                readonly hover: "#435339" | "#8ed654";
                readonly active: "#556949" | "#7fc04b";
            };
            readonly greenEmeraude: {
                readonly default: "#1e2e23" | "#9ef9be";
                readonly hover: "#3b5543" | "#69df97";
                readonly active: "#4b6b55" | "#5ec988";
            };
            readonly greenMenthe: {
                readonly default: "#1f2d2a" | "#8bf8e7";
                readonly hover: "#3c534e" | "#6ed5c5";
                readonly active: "#4d6963" | "#62bfb1";
            };
            readonly greenArchipel: {
                readonly default: "#1f2c2e" | "#a6f2fa";
                readonly hover: "#3c5255" | "#62dbe5";
                readonly active: "#4d676b" | "#58c5cf";
            };
            readonly blueEcume: {
                readonly default: "#222940" | "#dee5fd";
                readonly hover: "#424d73" | "#b4c5fb";
                readonly active: "#536190" | "#99b3f9";
            };
            readonly blueCumulus: {
                readonly default: "#212a3a" | "#dae6fd";
                readonly hover: "#404f69" | "#a9c8fb";
                readonly active: "#516384" | "#8ab8f9";
            };
            readonly purpleGlycine: {
                readonly default: "#332632" | "#fddbfa";
                readonly hover: "#5d485c" | "#fbaff5";
                readonly active: "#755b73" | "#fa96f2";
            };
            readonly pinkMacaron: {
                readonly default: "#352724" | "#fddfda";
                readonly hover: "#614a45" | "#fbb8ab";
                readonly active: "#795d57" | "#faa18d";
            };
            readonly pinkTuile: {
                readonly default: "#372624" | "#fddfdb";
                readonly hover: "#644845" | "#fbb8ad";
                readonly active: "#7d5b57" | "#faa191";
            };
            readonly yellowTournesol: {
                readonly default: "#302a1a" | "#fde39c";
                readonly hover: "#584e34" | "#e9c53b";
                readonly active: "#6f6342" | "#d3b235";
            };
            readonly yellowMoutarde: {
                readonly default: "#30291d" | "#fde2b5";
                readonly hover: "#584d39" | "#f6c43c";
                readonly active: "#6f6149" | "#dfb135";
            };
            readonly orangeTerreBattue: {
                readonly default: "#382621" | "#fddfd8";
                readonly hover: "#664840" | "#fbb8a5";
                readonly active: "#7f5b51" | "#faa184";
            };
            readonly brownCafeCreme: {
                readonly default: "#2e2a21" | "#f4e3c7";
                readonly hover: "#554e3f" | "#e1c386";
                readonly active: "#6b6351" | "#ccb078";
            };
            readonly brownCaramel: {
                readonly default: "#332821" | "#f3e2d9";
                readonly hover: "#5d4b40" | "#e7bea6";
                readonly active: "#755f51" | "#e1a982";
            };
            readonly brownOpera: {
                readonly default: "#322821" | "#f3e2d7";
                readonly hover: "#5c4b40" | "#e7bfa0";
                readonly active: "#735f51" | "#deaa7e";
            };
            readonly beigeGrisGalet: {
                readonly default: "#2e2924" | "#eee4d9";
                readonly hover: "#554d45" | "#dbc3a4";
                readonly active: "#6b6157" | "#c6b094";
            };
        };
        readonly active: {
            readonly blueFrance: {
                readonly default: "#8585f6" | "#000091";
                readonly hover: "#b1b1f9" | "#1212ff";
                readonly active: "#c6c6fb" | "#2323ff";
            };
            readonly redMarianne: {
                readonly default: "#f95c5e" | "#c9191e";
                readonly hover: "#fa9293" | "#f93f42";
                readonly active: "#fbabac" | "#f95a5c";
            };
        };
        readonly open: {
            readonly blueFrance: {
                readonly default: "#272747" | "#e3e3fd";
                readonly hover: "#4a4a7d" | "#c1c1fb";
                readonly active: "#5e5e90" | "#adadf9";
            };
            readonly redMarianne: {
                readonly default: "#3b2424" | "#fddede";
                readonly hover: "#6b4545" | "#fbb6b6";
                readonly active: "#865757" | "#fa9e9e";
            };
        };
        readonly disabled: {
            readonly grey: {
                readonly default: "#2a2a2a" | "#e5e5e5";
            };
        };
        readonly raised: {
            readonly grey: {
                readonly default: "#ffffff" | "#1e1e1e";
                readonly hover: "#f6f6f6" | "#3f3f3f";
                readonly active: "#ededed" | "#525252";
            };
        };
        readonly overlap: {
            readonly grey: {
                readonly default: "#ffffff" | "#242424";
                readonly hover: "#f6f6f6" | "#474747";
                readonly active: "#ededed" | "#5b5b5b";
            };
        };
        readonly lifted: {
            readonly grey: {
                readonly default: "#ffffff" | "#1e1e1e";
                readonly hover: "#f6f6f6" | "#3f3f3f";
                readonly active: "#ededed" | "#525252";
            };
        };
        readonly altRaised: {
            readonly grey: {
                readonly default: "#f6f6f6" | "#242424";
                readonly hover: "#474747" | "#dfdfdf";
                readonly active: "#cfcfcf" | "#5b5b5b";
            };
        };
        readonly altOverlap: {
            readonly grey: {
                readonly default: "#f6f6f6" | "#2a2a2a";
                readonly hover: "#dfdfdf" | "#4e4e4e";
                readonly active: "#cfcfcf" | "#636363";
            };
        };
        readonly contrastRaised: {
            readonly grey: {
                readonly default: "#eeeeee" | "#2a2a2a";
                readonly hover: "#d2d2d2" | "#4e4e4e";
                readonly active: "#c1c1c1" | "#636363";
            };
        };
        readonly contrastOverlap: {
            readonly grey: {
                readonly default: "#eeeeee" | "#2f2f2f";
                readonly hover: "#d2d2d2" | "#545454";
                readonly active: "#c1c1c1" | "#696969";
            };
        };
    };
    readonly text: {
        readonly default: {
            readonly grey: {
                readonly default: "#cecece" | "#3a3a3a";
            };
            readonly info: {
                readonly default: "#518fff" | "#0063cb";
            };
            readonly success: {
                readonly default: "#27a658" | "#18753c";
            };
            readonly warning: {
                readonly default: "#fc5d00" | "#b34000";
            };
            readonly error: {
                readonly default: "#ff5655" | "#ce0500";
            };
        };
        readonly actionHigh: {
            readonly grey: {
                readonly default: "#161616" | "#ffffff";
            };
            readonly blueFrance: {
                readonly default: "#8585f6" | "#000091";
            };
            readonly redMarianne: {
                readonly default: "#f95c5e" | "#c9191e";
            };
            readonly greenTilleulVerveine: {
                readonly default: "#d8c634" | "#66673d";
            };
            readonly greenBourgeon: {
                readonly default: "#99c221" | "#447049";
            };
            readonly greenEmeraude: {
                readonly default: "#34cb6a" | "#297254";
            };
            readonly greenMenthe: {
                readonly default: "#21ab8e" | "#37635f";
            };
            readonly greenArchipel: {
                readonly default: "#34bab5" | "#006a6f";
            };
            readonly blueEcume: {
                readonly default: "#869ece" | "#2f4077";
            };
            readonly blueCumulus: {
                readonly default: "#7ab1e8" | "#3558a2";
            };
            readonly purpleGlycine: {
                readonly default: "#ce70cc" | "#6e445a";
            };
            readonly pinkMacaron: {
                readonly default: "#ffb7ae" | "#8d533e";
            };
            readonly pinkTuile: {
                readonly default: "#ff9575" | "#a94645";
            };
            readonly yellowTournesol: {
                readonly default: "#ffe552" | "#716043";
            };
            readonly yellowMoutarde: {
                readonly default: "#ffca00" | "#695240";
            };
            readonly orangeTerreBattue: {
                readonly default: "#ff732c" | "#755348";
            };
            readonly brownCafeCreme: {
                readonly default: "#ecd7a2" | "#685c48";
            };
            readonly brownCaramel: {
                readonly default: "#fbd8ab" | "#845d48";
            };
            readonly brownOpera: {
                readonly default: "#e6be92" | "#745b47";
            };
            readonly beigeGrisGalet: {
                readonly default: "#d0c3b7" | "#6a6156";
            };
        };
        readonly title: {
            readonly grey: {
                readonly default: "#161616" | "#ffffff";
            };
            readonly blueFrance: {
                readonly default: "#8585f6" | "#000091";
            };
            readonly redMarianne: {
                readonly default: "#f95c5e" | "#c9191e";
            };
        };
        readonly label: {
            readonly grey: {
                readonly default: "#161616" | "#ffffff";
            };
            readonly blueFrance: {
                readonly default: "#8585f6" | "#000091";
            };
            readonly redMarianne: {
                readonly default: "#f95c5e" | "#c9191e";
            };
            readonly greenTilleulVerveine: {
                readonly default: "#d8c634" | "#66673d";
            };
            readonly greenBourgeon: {
                readonly default: "#99c221" | "#447049";
            };
            readonly greenEmeraude: {
                readonly default: "#34cb6a" | "#297254";
            };
            readonly greenMenthe: {
                readonly default: "#21ab8e" | "#37635f";
            };
            readonly greenArchipel: {
                readonly default: "#34bab5" | "#006a6f";
            };
            readonly blueEcume: {
                readonly default: "#869ece" | "#2f4077";
            };
            readonly blueCumulus: {
                readonly default: "#7ab1e8" | "#3558a2";
            };
            readonly purpleGlycine: {
                readonly default: "#ce70cc" | "#6e445a";
            };
            readonly pinkMacaron: {
                readonly default: "#ffb7ae" | "#8d533e";
            };
            readonly pinkTuile: {
                readonly default: "#ff9575" | "#a94645";
            };
            readonly yellowTournesol: {
                readonly default: "#ffe552" | "#716043";
            };
            readonly yellowMoutarde: {
                readonly default: "#ffca00" | "#695240";
            };
            readonly orangeTerreBattue: {
                readonly default: "#ff732c" | "#755348";
            };
            readonly brownCafeCreme: {
                readonly default: "#ecd7a2" | "#685c48";
            };
            readonly brownCaramel: {
                readonly default: "#fbd8ab" | "#845d48";
            };
            readonly brownOpera: {
                readonly default: "#e6be92" | "#745b47";
            };
            readonly beigeGrisGalet: {
                readonly default: "#d0c3b7" | "#6a6156";
            };
        };
        readonly active: {
            readonly grey: {
                readonly default: "#161616" | "#ffffff";
            };
            readonly blueFrance: {
                readonly default: "#8585f6" | "#000091";
            };
            readonly redMarianne: {
                readonly default: "#f95c5e" | "#c9191e";
            };
        };
        readonly mention: {
            readonly grey: {
                readonly default: "#929292" | "#666666";
            };
        };
        readonly inverted: {
            readonly grey: {
                readonly default: "#161616" | "#ffffff";
            };
            readonly blueFrance: {
                readonly default: "#f5f5fe" | "#000091";
            };
            readonly redMarianne: {
                readonly default: "#2b1919" | "#fef4f4";
            };
            readonly info: {
                readonly default: "#171d2e" | "#f4f6ff";
            };
            readonly success: {
                readonly default: "#142117" | "#dffee6";
            };
            readonly warning: {
                readonly default: "#2d1814" | "#fff4f3";
            };
            readonly error: {
                readonly default: "#301717" | "#fff4f4";
            };
            readonly greenTilleulVerveine: {
                readonly default: "#201e14" | "#fef7da";
            };
            readonly greenBourgeon: {
                readonly default: "#182014" | "#e6feda";
            };
            readonly greenEmeraude: {
                readonly default: "#142018" | "#e3fdeb";
            };
            readonly greenMenthe: {
                readonly default: "#15201e" | "#dffdf7";
            };
            readonly greenArchipel: {
                readonly default: "#152021" | "#e5fbfd";
            };
            readonly blueEcume: {
                readonly default: "#171d2f" | "#f4f6fe";
            };
            readonly blueCumulus: {
                readonly default: "#171e2b" | "#f3f6fe";
            };
            readonly purpleGlycine: {
                readonly default: "#251a24" | "#fef3fd";
            };
            readonly pinkMacaron: {
                readonly default: "#261b19" | "#fef4f2";
            };
            readonly pinkTuile: {
                readonly default: "#281b19" | "#fef4f3";
            };
            readonly yellowTournesol: {
                readonly default: "#221d11" | "#fef6e3";
            };
            readonly yellowMoutarde: {
                readonly default: "#231d14" | "#fef5e8";
            };
            readonly orangeTerreBattue: {
                readonly default: "#fef4f2" | "#281a16";
            };
            readonly brownCafeCreme: {
                readonly default: "#211d16" | "#fbf6ed";
            };
            readonly brownCaramel: {
                readonly default: "#251c16" | "#fbf5f2";
            };
            readonly brownOpera: {
                readonly default: "#fbf5f2" | "#241c17";
            };
            readonly beigeGrisGalet: {
                readonly default: "#211d19" | "#f9f6f2";
            };
        };
        readonly disabled: {
            readonly grey: {
                readonly default: "#929292" | "#666666";
            };
        };
        readonly blackWhite: {
            readonly grey: {
                readonly default: "#ffffff" | "#0";
            };
        };
    };
    readonly border: {
        readonly default: {
            readonly grey: {
                readonly default: "#353535" | "#dddddd";
            };
            readonly blueFrance: {
                readonly default: "#6a6af4";
            };
            readonly redMarianne: {
                readonly default: "#e1000f";
            };
            readonly greenTilleulVerveine: {
                readonly default: "#b7a73f";
            };
            readonly greenBourgeon: {
                readonly default: "#68a532";
            };
            readonly greenEmeraude: {
                readonly default: "#00a95f";
            };
            readonly greenMenthe: {
                readonly default: "#009081";
            };
            readonly greenArchipel: {
                readonly default: "#009099";
            };
            readonly blueEcume: {
                readonly default: "#465f9d";
            };
            readonly blueCumulus: {
                readonly default: "#417dc4";
            };
            readonly purpleGlycine: {
                readonly default: "#a558a0";
            };
            readonly pinkMacaron: {
                readonly default: "#e18b76";
            };
            readonly pinkTuile: {
                readonly default: "#ce614a";
            };
            readonly yellowTournesol: {
                readonly default: "#c8aa39";
            };
            readonly yellowMoutarde: {
                readonly default: "#c3992a";
            };
            readonly orangeTerreBattue: {
                readonly default: "#e4794a";
            };
            readonly brownCafeCreme: {
                readonly default: "#d1b781";
            };
            readonly brownCaramel: {
                readonly default: "#c08c65";
            };
            readonly brownOpera: {
                readonly default: "#bd987a";
            };
            readonly beigeGrisGalet: {
                readonly default: "#aea397";
            };
        };
        readonly contrast: {
            readonly grey: {
                readonly default: "#929292" | "#666666";
            };
        };
        readonly active: {
            readonly blueFrance: {
                readonly default: "#8585f6" | "#000091";
            };
            readonly redMarianne: {
                readonly default: "#f95c5e" | "#c9191e";
            };
        };
        readonly actionHigh: {
            readonly grey: {
                readonly default: "#161616" | "#ffffff";
            };
            readonly blueFrance: {
                readonly default: "#8585f6" | "#000091";
            };
            readonly redMarianne: {
                readonly default: "#f95c5e" | "#c9191e";
            };
            readonly info: {
                readonly default: "#518fff" | "#0063cb";
            };
            readonly success: {
                readonly default: "#27a658" | "#18753c";
            };
            readonly warning: {
                readonly default: "#fc5d00" | "#b34000";
            };
            readonly error: {
                readonly default: "#ff5655" | "#ce0500";
            };
        };
        readonly actionLow: {
            readonly blueFrance: {
                readonly default: "#313178" | "#cacafb";
            };
            readonly redMarianne: {
                readonly default: "#5e2a2b" | "#fcbfbf";
            };
            readonly greenTilleulVerveine: {
                readonly default: "#3f3a20" | "#e2cf58";
            };
            readonly greenBourgeon: {
                readonly default: "#2a401a" | "#95e257";
            };
            readonly greenEmeraude: {
                readonly default: "#21402c" | "#6fe49d";
            };
            readonly greenMenthe: {
                readonly default: "#223f3a" | "#73e0cf";
            };
            readonly greenArchipel: {
                readonly default: "#233e41" | "#60e0eb";
            };
            readonly blueEcume: {
                readonly default: "#273962" | "#bfccfb";
            };
            readonly blueCumulus: {
                readonly default: "#263b58" | "#b6cffb";
            };
            readonly purpleGlycine: {
                readonly default: "#502e4d" | "#fbb8f6";
            };
            readonly pinkMacaron: {
                readonly default: "#52312a" | "#fcc0b4";
            };
            readonly pinkTuile: {
                readonly default: "#55302a" | "#fcbfb7";
            };
            readonly yellowTournesol: {
                readonly default: "#43391a" | "#efcb3a";
            };
            readonly yellowMoutarde: {
                readonly default: "#453820" | "#fcc63a";
            };
            readonly orangeTerreBattue: {
                readonly default: "#543125" | "#fcc0b0";
            };
            readonly brownCafeCreme: {
                readonly default: "#423925" | "#e7ca8e";
            };
            readonly brownCaramel: {
                readonly default: "#4b3525" | "#eac7b2";
            };
            readonly brownOpera: {
                readonly default: "#493625" | "#eac7ad";
            };
            readonly beigeGrisGalet: {
                readonly default: "#433829" | "#e0cab0";
            };
        };
        readonly open: {
            readonly blueFrance: {
                readonly default: "#272747" | "#e3e3fd";
            };
            readonly redMarianne: {
                readonly default: "#3b2424" | "#fddede";
            };
        };
        readonly plain: {
            readonly grey: {
                readonly default: "#cecece" | "#3a3a3a";
            };
            readonly blueFrance: {
                readonly default: "#8585f6" | "#000091";
            };
            readonly redMarianne: {
                readonly default: "#f95c5e" | "#c9191e";
            };
            readonly info: {
                readonly default: "#518fff" | "#0063cb";
            };
            readonly success: {
                readonly default: "#27a658" | "#18753c";
            };
            readonly warning: {
                readonly default: "#fc5d00" | "#b34000";
            };
            readonly error: {
                readonly default: "#ff5655" | "#ce0500";
            };
            readonly greenTilleulVerveine: {
                readonly default: "#d8c634" | "#66673d";
            };
            readonly greenBourgeon: {
                readonly default: "#99c221" | "#447049";
            };
            readonly greenEmeraude: {
                readonly default: "#34cb6a" | "#297254";
            };
            readonly greenMenthe: {
                readonly default: "#21ab8e" | "#37635f";
            };
            readonly greenArchipel: {
                readonly default: "#34bab5" | "#006a6f";
            };
            readonly blueEcume: {
                readonly default: "#869ece" | "#2f4077";
            };
            readonly blueCumulus: {
                readonly default: "#7ab1e8" | "#3558a2";
            };
            readonly purpleGlycine: {
                readonly default: "#ce70cc" | "#6e445a";
            };
            readonly pinkMacaron: {
                readonly default: "#ffb7ae" | "#8d533e";
            };
            readonly pinkTuile: {
                readonly default: "#ff9575" | "#a94645";
            };
            readonly yellowTournesol: {
                readonly default: "#ffe552" | "#716043";
            };
            readonly yellowMoutarde: {
                readonly default: "#ffca00" | "#695240";
            };
            readonly orangeTerreBattue: {
                readonly default: "#ff732c" | "#755348";
            };
            readonly brownCafeCreme: {
                readonly default: "#ecd7a2" | "#685c48";
            };
            readonly brownCaramel: {
                readonly default: "#fbd8ab" | "#845d48";
            };
            readonly brownOpera: {
                readonly default: "#e6be92" | "#745b47";
            };
            readonly beigeGrisGalet: {
                readonly default: "#d0c3b7" | "#6a6156";
            };
        };
        readonly disabled: {
            readonly grey: {
                readonly default: "#2a2a2a" | "#e5e5e5";
            };
        };
    };
    readonly artwork: {
        readonly major: {
            readonly blueFrance: {
                readonly default: "#8585f6" | "#000091";
                readonly hover: "#b1b1f9" | "#1212ff";
                readonly active: "#c6c6fb" | "#2323ff";
            };
            readonly redMarianne: {
                readonly default: "#f95c5e" | "#c9191e";
                readonly hover: "#fa9293" | "#f93f42";
                readonly active: "#fbabac" | "#f95a5c";
            };
            readonly greenTilleulVerveine: {
                readonly default: "#d8c634" | "#66673d";
                readonly hover: "#fee943" | "#929359";
                readonly active: "#fef1ab" | "#a7a967";
            };
            readonly greenBourgeon: {
                readonly default: "#99c221" | "#447049";
                readonly hover: "#baec2a" | "#639f6a";
                readonly active: "#c9fd2e" | "#72b77a";
            };
            readonly greenEmeraude: {
                readonly default: "#34cb6a" | "#297254";
                readonly hover: "#42fb84" | "#3ea47a";
                readonly active: "#80fda3" | "#49bc8d";
            };
            readonly greenMenthe: {
                readonly default: "#21ab8e" | "#37635f";
                readonly hover: "#2eddb8" | "#53918c";
                readonly active: "#34f4cc" | "#62a9a2";
            };
            readonly greenArchipel: {
                readonly default: "#34bab5" | "#006a6f";
                readonly hover: "#43e9e2" | "#009fa7";
                readonly active: "#4cfdf6" | "#00bbc3";
            };
            readonly blueEcume: {
                readonly default: "#869ece" | "#2f4077";
                readonly hover: "#b8c5e2" | "#4e68bb";
                readonly active: "#ced6ea" | "#667dcf";
            };
            readonly blueCumulus: {
                readonly default: "#7ab1e8" | "#3558a2";
                readonly hover: "#bad2f2" | "#5982e0";
                readonly active: "#d2e2f6" | "#7996e6";
            };
            readonly purpleGlycine: {
                readonly default: "#ce70cc" | "#6e445a";
                readonly hover: "#dfa4dd" | "#a66989";
                readonly active: "#e7bbe6" | "#bb7f9e";
            };
            readonly pinkMacaron: {
                readonly default: "#ffb7ae" | "#8d533e";
                readonly hover: "#ffe0dc" | "#ca795c";
                readonly active: "#fff0ee" | "#e08e73";
            };
            readonly pinkTuile: {
                readonly default: "#ff9575" | "#a94645";
                readonly hover: "#ffc4b7" | "#d5706f";
                readonly active: "#ffd8d0" | "#da8a89";
            };
            readonly yellowTournesol: {
                readonly default: "#ffe552" | "#716043";
                readonly hover: "#e1c700" | "#a28a62";
                readonly active: "#cab300" | "#ba9f72";
            };
            readonly yellowMoutarde: {
                readonly default: "#ffca00" | "#695240";
                readonly hover: "#cda200" | "#9b7b61";
                readonly active: "#b28c00" | "#b58f72";
            };
            readonly orangeTerreBattue: {
                readonly default: "#ff732c" | "#755348";
                readonly hover: "#ffa48b" | "#ab7b6b";
                readonly active: "#ffbbab" | "#c68f7d";
            };
            readonly brownCafeCreme: {
                readonly default: "#ecd7a2" | "#685c48";
                readonly hover: "#c5b386" | "#97866a";
                readonly active: "#af9f77" | "#ae9b7b";
            };
            readonly brownCaramel: {
                readonly default: "#fbd8ab" | "#845d48";
                readonly hover: "#efb547" | "#bb8568";
                readonly active: "#d6a23e" | "#d69978";
            };
            readonly brownOpera: {
                readonly default: "#e6be92" | "#745b47";
                readonly hover: "#f2e2d3" | "#a78468";
                readonly active: "#f8f0e9" | "#c09979";
            };
            readonly beigeGrisGalet: {
                readonly default: "#d0c3b7" | "#6a6156";
                readonly hover: "#eae5e1" | "#988b7c";
                readonly active: "#f4f2f0" | "#afa08f";
            };
        };
        readonly minor: {
            readonly blueFrance: {
                readonly default: "#6a6af4";
            };
            readonly redMarianne: {
                readonly default: "#e1000f";
            };
            readonly greenTilleulVerveine: {
                readonly default: "#b7a73f";
            };
            readonly greenBourgeon: {
                readonly default: "#68a532";
            };
            readonly greenEmeraude: {
                readonly default: "#00a95f";
            };
            readonly greenMenthe: {
                readonly default: "#009081";
            };
            readonly greenArchipel: {
                readonly default: "#009099";
            };
            readonly blueEcume: {
                readonly default: "#465f9d";
            };
            readonly blueCumulus: {
                readonly default: "#417dc4";
            };
            readonly purpleGlycine: {
                readonly default: "#a558a0";
            };
            readonly pinkMacaron: {
                readonly default: "#e18b76";
            };
            readonly pinkTuile: {
                readonly default: "#ce614a";
            };
            readonly yellowTournesol: {
                readonly default: "#c8aa39";
            };
            readonly yellowMoutarde: {
                readonly default: "#c3992a";
            };
            readonly orangeTerreBattue: {
                readonly default: "#e4794a";
            };
            readonly brownCafeCreme: {
                readonly default: "#d1b781";
            };
            readonly brownCaramel: {
                readonly default: "#c08c65";
            };
            readonly brownOpera: {
                readonly default: "#bd987a";
            };
            readonly beigeGrisGalet: {
                readonly default: "#aea397";
            };
        };
        readonly decorative: {
            readonly grey: {
                readonly default: "#242424" | "#eeeeee";
            };
            readonly blueFrance: {
                readonly default: "#21213f" | "#ececfe";
            };
            readonly redMarianne: {
                readonly default: "#331f1f" | "#fee9e9";
            };
            readonly greenTilleulVerveine: {
                readonly default: "#272419" | "#fceeac";
            };
            readonly greenBourgeon: {
                readonly default: "#1e2719" | "#c9fcac";
            };
            readonly greenEmeraude: {
                readonly default: "#19271e" | "#c3fad5";
            };
            readonly greenMenthe: {
                readonly default: "#1a2624" | "#bafaee";
            };
            readonly greenArchipel: {
                readonly default: "#1a2628" | "#c7f6fc";
            };
            readonly blueEcume: {
                readonly default: "#1d2437" | "#e9edfe";
            };
            readonly blueCumulus: {
                readonly default: "#1c2433" | "#e6eefe";
            };
            readonly purpleGlycine: {
                readonly default: "#2c202b" | "#fee7fc";
            };
            readonly pinkMacaron: {
                readonly default: "#2e211f" | "#fee9e6";
            };
            readonly pinkTuile: {
                readonly default: "#2f211f" | "#fee9e7";
            };
            readonly yellowTournesol: {
                readonly default: "#292416" | "#feecc2";
            };
            readonly yellowMoutarde: {
                readonly default: "#2a2319" | "#feebd0";
            };
            readonly orangeTerreBattue: {
                readonly default: "#31201c" | "#fee9e5";
            };
            readonly brownCafeCreme: {
                readonly default: "#28241c" | "#f7ecdb";
            };
            readonly brownCaramel: {
                readonly default: "#2c221c" | "#f7ebe5";
            };
            readonly brownOpera: {
                readonly default: "#2b221c" | "#f7ece4";
            };
            readonly beigeGrisGalet: {
                readonly default: "#28231f" | "#f3ede5";
            };
        };
        readonly background: {
            readonly grey: {
                readonly default: "#f6f6f6" | "#1e1e1e";
            };
            readonly blueFrance: {
                readonly default: "#1b1b35" | "#f5f5fe";
            };
            readonly redMarianne: {
                readonly default: "#2b1919" | "#fef4f4";
            };
            readonly greenTilleulVerveine: {
                readonly default: "#201e14" | "#fef7da";
            };
            readonly greenBourgeon: {
                readonly default: "#182014" | "#e6feda";
            };
            readonly greenEmeraude: {
                readonly default: "#142018" | "#e3fdeb";
            };
            readonly greenMenthe: {
                readonly default: "#15201e" | "#dffdf7";
            };
            readonly greenArchipel: {
                readonly default: "#152021" | "#e5fbfd";
            };
            readonly blueEcume: {
                readonly default: "#171d2f" | "#f4f6fe";
            };
            readonly blueCumulus: {
                readonly default: "#171e2b" | "#f3f6fe";
            };
            readonly purpleGlycine: {
                readonly default: "#251a24" | "#fef3fd";
            };
            readonly pinkMacaron: {
                readonly default: "#261b19" | "#fef4f2";
            };
            readonly pinkTuile: {
                readonly default: "#281b19" | "#fef4f3";
            };
            readonly yellowTournesol: {
                readonly default: "#221d11" | "#fef6e3";
            };
            readonly yellowMoutarde: {
                readonly default: "#231d14" | "#fef5e8";
            };
            readonly orangeTerreBattue: {
                readonly default: "#fef4f2" | "#281a16";
            };
            readonly brownCafeCreme: {
                readonly default: "#211d16" | "#fbf6ed";
            };
            readonly brownCaramel: {
                readonly default: "#251c16" | "#fbf5f2";
            };
            readonly brownOpera: {
                readonly default: "#fbf5f2" | "#241c17";
            };
            readonly beigeGrisGalet: {
                readonly default: "#211d19" | "#f9f6f2";
            };
        };
        readonly motif: {
            readonly grey: {
                readonly default: "#2a2a2a" | "#e5e5e5";
            };
            readonly blueFrance: {
                readonly default: "#272747" | "#e3e3fd";
            };
            readonly redMarianne: {
                readonly default: "#3b2424" | "#fddede";
            };
            readonly greenTilleulVerveine: {
                readonly default: "#2d2a1d" | "#fbe769";
            };
            readonly greenBourgeon: {
                readonly default: "#232d1d" | "#a9fb68";
            };
            readonly greenEmeraude: {
                readonly default: "#1e2e23" | "#9ef9be";
            };
            readonly greenMenthe: {
                readonly default: "#1f2d2a" | "#8bf8e7";
            };
            readonly greenArchipel: {
                readonly default: "#1f2c2e" | "#a6f2fa";
            };
            readonly blueEcume: {
                readonly default: "#222940" | "#dee5fd";
            };
            readonly blueCumulus: {
                readonly default: "#212a3a" | "#dae6fd";
            };
            readonly purpleGlycine: {
                readonly default: "#332632" | "#fddbfa";
            };
            readonly pinkMacaron: {
                readonly default: "#352724" | "#fddfda";
            };
            readonly pinkTuile: {
                readonly default: "#372624" | "#fddfdb";
            };
            readonly yellowTournesol: {
                readonly default: "#302a1a" | "#fde39c";
            };
            readonly yellowMoutarde: {
                readonly default: "#30291d" | "#fde2b5";
            };
            readonly orangeTerreBattue: {
                readonly default: "#382621" | "#fddfd8";
            };
            readonly brownCafeCreme: {
                readonly default: "#2e2a21" | "#f4e3c7";
            };
            readonly brownCaramel: {
                readonly default: "#332821" | "#f3e2d9";
            };
            readonly brownOpera: {
                readonly default: "#322821" | "#f3e2d7";
            };
            readonly beigeGrisGalet: {
                readonly default: "#2e2924" | "#eee4d9";
            };
        };
    };
};
